summaryrefslogtreecommitdiffstats
path: root/src/etc/init.d
diff options
context:
space:
mode:
Diffstat (limited to 'src/etc/init.d')
-rw-r--r--src/etc/init.d/mdev19
-rw-r--r--src/etc/init.d/networking24
-rw-r--r--src/etc/init.d/sysfs20
3 files changed, 63 insertions, 0 deletions
diff --git a/src/etc/init.d/mdev b/src/etc/init.d/mdev
new file mode 100644
index 0000000..66070f8
--- /dev/null
+++ b/src/etc/init.d/mdev
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+case "${1}" in
+ start)
+ printf 'Enabling device hotplugging... '
+ echo '/sbin/mdev' > /proc/sys/kernel/hotplug
+ mdev -s
+ printf 'done.\n'
+ ;;
+ stop)
+ printf 'Disabling device hotplugging... '
+ echo '' > /proc/sys/kernel/hotplug
+ printf 'done.\n'
+ ;;
+ *)
+ printf 'Usage: %s {start|stop}\n' "${0}" >&2
+ exit 1
+ ;;
+esac
diff --git a/src/etc/init.d/networking b/src/etc/init.d/networking
new file mode 100644
index 0000000..def938f
--- /dev/null
+++ b/src/etc/init.d/networking
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+case "${1}" in
+ start)
+ printf 'Configuring network interfaces... '
+ ifup -a
+ printf 'done.\n'
+ ;;
+ stop)
+ printf 'Deconfiguring network interfaces... '
+ ifdown -a
+ printf 'done.\n'
+ ;;
+ restart)
+ printf 'Reconfiguring network interfaces... '
+ ifdown -a
+ ifup -a
+ printf 'done.\n'
+ ;;
+ *)
+ printf 'Usage: %s {start|stop|restart}\n' "${0}" >&2
+ exit 1
+ ;;
+esac
diff --git a/src/etc/init.d/sysfs b/src/etc/init.d/sysfs
new file mode 100644
index 0000000..e5e9508
--- /dev/null
+++ b/src/etc/init.d/sysfs
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+case "${1}" in
+ start)
+ printf 'Mounting process and system filesystems... '
+ [ ! -e /proc/mounts ] && mount -t proc proc /proc
+ [ ! -e /sys/kernel ] && mount -t sysfs sysfs /sys
+ printf 'done.\n'
+ ;;
+ stop)
+ printf 'Unmounting process and system filesystems... '
+ [ -e /proc/mounts ] && umount /proc
+ [ -e /sys/kernel ] && umount /sys
+ printf 'done.\n'
+ ;;
+ *)
+ printf 'Usage: %s {start|stop}\n' "${0}" >&2
+ exit 1
+ ;;
+esac